Skip to main content
GET
/
api
/
v1
/
ssf-receiver-streams
List
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.SSFReceiverStream.List(ctx, operations.C1APISSFReceiverV1SSFReceiverStreamServiceListRequest{})
    if err != nil {
        log.Fatal(err)
    }
    if res.SSFReceiverStreamServiceListResponse != nil {
        // handle response
    }
}
{
  "list": [
    {
      "accountDisabledAction": "SSF_REVOCATION_ACTION_UNSPECIFIED",
      "createdAt": "2023-11-07T05:31:56Z",
      "credentialChangeAction": "SSF_REVOCATION_ACTION_UNSPECIFIED",
      "credentialCompromiseAction": "SSF_REVOCATION_ACTION_UNSPECIFIED",
      "deletedAt": "2023-11-07T05:31:56Z",
      "deliveryMethod": "SSF_DELIVERY_METHOD_UNSPECIFIED",
      "description": "<string>",
      "displayName": "<string>",
      "enabled": true,
      "eventTypesEnabled": [
        "<string>"
      ],
      "expectedAudience": "<string>",
      "id": "<string>",
      "issuerUrl": "<string>",
      "jwksUrl": "<string>",
      "lastErrorAt": "2023-11-07T05:31:56Z",
      "lastErrorMessage": "<string>",
      "lastVerifiedAt": "2023-11-07T05:31:56Z",
      "outboundAuthBearer": {
        "token": "<string>"
      },
      "outboundAuthOauth2": {
        "clientId": "<string>",
        "clientSecret": "<string>",
        "scopes": [
          "<string>"
        ],
        "tokenUrl": "<string>"
      },
      "pollEndpointUrl": "<string>",
      "pollInterval": "<string>",
      "pushAuthToken": "<string>",
      "pushEndpointUrl": "<string>",
      "sessionRevokedAction": "SSF_REVOCATION_ACTION_UNSPECIFIED",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Query Parameters

page_size
integer<int32>

Maximum number of streams to return per page.

page_token
string

Token from a previous ListResponse to fetch the next page of results.

Response

200 - application/json

SSFReceiverStreamServiceListResponse contains a page of SSF receiver streams.

SSFReceiverStreamServiceListResponse contains a page of SSF receiver streams.

list
Ssf Receiver Stream · object[] | null

The SSF receiver streams in the current page.

nextPageToken
string

Token to retrieve the next page. Empty when there are no more results.